Remove open orders

DELETE https://api.cryptohopper.com/v1/hopper/{id}/order

Removes the given open orders from the hopper's order list. The orders are not cancelled on the exchange.

OAuth scope: read manage About scopes

Send order_ids as an array of Cryptohopper order IDs (the id field of Get open orders), or a single order_id. Returns an error when only some or none of the orders could be removed.

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/order" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"order_ids":[342000001,342000002]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Order(s) removed."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.